> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Skill

> Create a new skill via automated generation.



## OpenAPI

````yaml /cloud/openapi/v2.json post /skills
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills:
    post:
      tags:
        - Skills
      summary: Create Skill
      description: Create a new skill via automated generation.
      operationId: create_skill_skills_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSkillRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSkillResponse'
        '400':
          description: Concurrent skill creations are not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConcurrentSkillCreationsError'
        '402':
          description: Insufficient credits to create skill
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsufficientCreditsError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many concurrent active sessions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyConcurrentActiveSessionsError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CreateSkillRequest:
      properties:
        title:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Title
          description: Optional title for the skill (will be generated if not provided)
        description:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Description
          description: >-
            Optional description for the skill (will be generated if not
            provided)
        goal:
          type: string
          maxLength: 1000
          title: Goal
          description: >-
            Goal of the skill (description of what the skill does and what the
            user should expect from it)
        agentPrompt:
          type: string
          minLength: 10
          title: Agentprompt
          description: Prompt for the agent to use when generating the skill automatically
      type: object
      required:
        - goal
        - agentPrompt
      title: CreateSkillRequest
      description: Request to create a new skill via automated generation.
    CreateSkillResponse:
      properties:
        id:
          type: string
          format: uuid
          title: ID
          description: Unique identifier for the created skill
      type: object
      required:
        - id
      title: CreateSkillResponse
      description: Response after creating a skill.
    ConcurrentSkillCreationsError:
      properties:
        detail:
          type: string
          title: Detail
          default: >-
            Concurrent skill creations are not allowed. Please wait for the
            current skill creation to finish or cancel it.
      type: object
      title: ConcurrentSkillCreationsError
      description: Error response when concurrent skill creations are attempted
    InsufficientCreditsError:
      properties:
        detail:
          type: string
          title: Detail
          default: Insufficient credits
      type: object
      title: InsufficientCreditsError
      description: Error response when there are insufficient credits
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TooManyConcurrentActiveSessionsError:
      properties:
        detail:
          type: string
          title: Detail
          default: >-
            Too many concurrent active sessions. Please wait for one to finish,
            kill one, or upgrade your plan.
      type: object
      title: TooManyConcurrentActiveSessionsError
      description: Error response when user has too many concurrent active sessions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````